searchData={"items":[{"type":"module","title":"NumberF","doc":"`NumberF` is a utility module for performing various number-related operations such as formatting currency, generating random strings, converting numbers to words, and more.","ref":"NumberF.html"},{"type":"function","title":"NumberF.comma_separated/2","doc":"Formats a number into comma-separated format with the specified precision.","ref":"NumberF.html#comma_separated/2"},{"type":"function","title":"Parameters - NumberF.comma_separated/2","doc":"- `number`: The number to format.\n  - `precision`: Decimal places (default: 2).","ref":"NumberF.html#comma_separated/2-parameters"},{"type":"function","title":"Examples - NumberF.comma_separated/2","doc":"iex> NumberF.comma_separated(1234567.89)\n    \"1,234,567.89\"","ref":"NumberF.html#comma_separated/2-examples"},{"type":"function","title":"NumberF.currency/3","doc":"Formats a number into currency with the specified unit and precision.","ref":"NumberF.html#currency/3"},{"type":"function","title":"Parameters - NumberF.currency/3","doc":"- `number`: The number to format.\n  - `unit`: The currency unit (default: \"ZMW\").\n  - `precision`: Decimal places (default: 2).","ref":"NumberF.html#currency/3-parameters"},{"type":"function","title":"Examples - NumberF.currency/3","doc":"iex> NumberF.currency(1234.567)\n    \"ZMW 1,234.57\"","ref":"NumberF.html#currency/3-examples"},{"type":"function","title":"NumberF.default_password/0","doc":"Generates a default password with pre-defined complexity.","ref":"NumberF.html#default_password/0"},{"type":"function","title":"Examples - NumberF.default_password/0","doc":"iex> NumberF.default_password()\n    \"Dev@2308\"","ref":"NumberF.html#default_password/0-examples"},{"type":"function","title":"NumberF.memory_size_cal/1","doc":"Converts a memory size to a human-readable format.","ref":"NumberF.html#memory_size_cal/1"},{"type":"function","title":"Parameters - NumberF.memory_size_cal/1","doc":"- `size`: The size in bytes.","ref":"NumberF.html#memory_size_cal/1-parameters"},{"type":"function","title":"Examples - NumberF.memory_size_cal/1","doc":"iex> NumberF.memory_size_cal(1048576)\n    \"1 MB\"","ref":"NumberF.html#memory_size_cal/1-examples"},{"type":"function","title":"NumberF.number_to_delimited/2","doc":"Formats a number into a delimited format with options for customization.","ref":"NumberF.html#number_to_delimited/2"},{"type":"function","title":"Parameters - NumberF.number_to_delimited/2","doc":"- `number`: The number to format.\n  - `options`: Keyword options for formatting (e.g., delimiter, separator).","ref":"NumberF.html#number_to_delimited/2-parameters"},{"type":"function","title":"Examples - NumberF.number_to_delimited/2","doc":"iex> NumberF.number_to_delimited(1234567.89, delimiter: \".\", separator: \",\")\n    \"1.234.567,89\"","ref":"NumberF.html#number_to_delimited/2-examples"},{"type":"function","title":"NumberF.randomizer/2","doc":"Generates a random string of the specified length.","ref":"NumberF.html#randomizer/2"},{"type":"function","title":"Parameters - NumberF.randomizer/2","doc":"- `length`: The length of the string.\n  - `type`: Type of string, with options:\n    - `:all` (alphanumeric)\n    - `:alpha` (alphabetical)\n    - `:numeric` (numbers)\n    - `:upcase` (uppercase)\n    - `:downcase` (lowercase)","ref":"NumberF.html#randomizer/2-parameters"},{"type":"function","title":"Examples - NumberF.randomizer/2","doc":"iex> NumberF.randomizer(10)\n    \"a1B2c3D4e5\"","ref":"NumberF.html#randomizer/2-examples"},{"type":"function","title":"NumberF.sum_decimal/1","doc":"Sums a list of decimal numbers.","ref":"NumberF.html#sum_decimal/1"},{"type":"function","title":"Parameters - NumberF.sum_decimal/1","doc":"- `list`: A list of decimal values, potentially nested.","ref":"NumberF.html#sum_decimal/1-parameters"},{"type":"function","title":"Examples - NumberF.sum_decimal/1","doc":"iex> sum_decimal([Decimal.new(1.2), Decimal.new(3.4), [Decimal.new(5.6)]])\n    #Decimal<10.2>\n\nThis function flattens any nested lists, then uses `Enum.reduce/3` to sum all the decimal values.","ref":"NumberF.html#sum_decimal/1-examples"},{"type":"function","title":"NumberF.to_boolean/1","doc":"Converts a string to a boolean value.","ref":"NumberF.html#to_boolean/1"},{"type":"function","title":"Parameters - NumberF.to_boolean/1","doc":"- `value`: The string value to convert. It accepts `true`, `yes`, `on` for true, and `false`, `no`, `off` for false.","ref":"NumberF.html#to_boolean/1-parameters"},{"type":"function","title":"Examples - NumberF.to_boolean/1","doc":"iex> NumberF.to_boolean(\"true\")\n    true","ref":"NumberF.html#to_boolean/1-examples"},{"type":"function","title":"NumberF.to_decimal/1","doc":"Converts a value to a decimal.","ref":"NumberF.html#to_decimal/1"},{"type":"function","title":"Parameters - NumberF.to_decimal/1","doc":"- `value`: The value to convert.","ref":"NumberF.html#to_decimal/1-parameters"},{"type":"function","title":"Examples - NumberF.to_decimal/1","doc":"iex> NumberF.to_decimal(\"123.45\")\n    #Decimal<123.45>","ref":"NumberF.html#to_decimal/1-examples"},{"type":"function","title":"NumberF.to_float/1","doc":"Converts a value to a float.","ref":"NumberF.html#to_float/1"},{"type":"function","title":"Parameters - NumberF.to_float/1","doc":"- `value`: The value to convert.","ref":"NumberF.html#to_float/1-parameters"},{"type":"function","title":"Examples - NumberF.to_float/1","doc":"iex> NumberF.to_float(\"123.45\")\n    123.45","ref":"NumberF.html#to_float/1-examples"},{"type":"function","title":"NumberF.to_int/1","doc":"Converts a string to an integer.","ref":"NumberF.html#to_int/1"},{"type":"function","title":"Parameters - NumberF.to_int/1","doc":"- `value`: The string value to convert.","ref":"NumberF.html#to_int/1-parameters"},{"type":"function","title":"Examples - NumberF.to_int/1","doc":"iex> NumberF.to_int(\"123\")\n    123","ref":"NumberF.html#to_int/1-examples"},{"type":"function","title":"NumberF.to_words/3","doc":"Converts a number into words.","ref":"NumberF.html#to_words/3"},{"type":"function","title":"Parameters - NumberF.to_words/3","doc":"- `amount`: The number to convert.\n  - `main_currence`: The main currency (default: \"Kwacha\").\n  - `sec_current`: The secondary currency (default: \"Ngwee\").","ref":"NumberF.html#to_words/3-parameters"},{"type":"function","title":"Examples - NumberF.to_words/3","doc":"iex> NumberF.to_words(20.0)\n    \"Twenty Kwacha and zero Ngwee\"","ref":"NumberF.html#to_words/3-examples"},{"type":"module","title":"NumberF.Helper","doc":"","ref":"NumberF.Helper.html"},{"type":"function","title":"NumberF.Helper.int_pow10/2","doc":"","ref":"NumberF.Helper.html#int_pow10/2"},{"type":"module","title":"NumberF.NumberToWord","doc":"","ref":"NumberF.NumberToWord.html"},{"type":"function","title":"NumberF.NumberToWord.format/4","doc":"","ref":"NumberF.NumberToWord.html#format/4"},{"type":"function","title":"NumberF.NumberToWord.say/1","doc":"","ref":"NumberF.NumberToWord.html#say/1"},{"type":"function","title":"NumberF.NumberToWord.say_io/1","doc":"","ref":"NumberF.NumberToWord.html#say_io/1"},{"type":"function","title":"NumberF.NumberToWord.separator/1","doc":"","ref":"NumberF.NumberToWord.html#separator/1"},{"type":"module","title":"NumberF.NumbersToWords","doc":"","ref":"NumberF.NumbersToWords.html"},{"type":"function","title":"NumberF.NumbersToWords.parse/3","doc":"","ref":"NumberF.NumbersToWords.html#parse/3"},{"type":"function","title":"NumberF.NumbersToWords.try/0","doc":"","ref":"NumberF.NumbersToWords.html#try/0"},{"type":"module","title":"NumberF.Randomizer","doc":"Random string generator module.","ref":"NumberF.Randomizer.html"},{"type":"function","title":"NumberF.Randomizer.gen_password/0","doc":"","ref":"NumberF.Randomizer.html#gen_password/0"},{"type":"function","title":"NumberF.Randomizer.randomizer/2","doc":"","ref":"NumberF.Randomizer.html#randomizer/2"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}